כדי להשתמש ב-Merchant Center ובתכונות שלו, אתם צריכים לאשר את התנאים וההגבלות של Merchant Center עבור מיקום העסק שלכם. בהסכמים האלה מפורטים התנאים המשפטיים לשימוש בשירותי Merchant Center.
במדריך הזה מוסבר איך להשתמש ב-Merchant API כדי לנהל את ההסכמים האלה, בין אם מדובר בחשבון שלכם או בחשבונות שאתם מנהלים כספק צד שלישי (3P).
אפשר להשיג את הדברים הבאים:
- בודקים את הסטטוס הנוכחי של ההסכם בנושא תנאים והגבלות בחשבון.
- הנחיית מוכרים לאשר את התנאים וההגבלות הנדרשים.
- ניהול תנאים והגבלות כספק שירותים עבור חשבונות לקוח.
דרישות מוקדמות
כדי להשתמש ב-Merchant API, אתם צריכים חשבון Merchant Center. אחרי שיוצרים את החשבון באמצעות ממשק המשתמש (UI) של Merchant Center, אפשר לבצע שינויים בחשבון (למשל, לעדכן את פרטי העסק, לנהל משתמשים וכו') באמצעות ממשק המשתמש או ה-API.
אם אתם צריכים לנהל כמה חשבונות, אתם יכולים ליצור חשבונות לקוח באמצעות Merchant API. איך יוצרים חשבונות
בדיקת מצב ההסכמה לתנאים ולהגבלות בחשבון
לפני שמוֹכרים יכולים להשתמש בכל האפשרויות של Merchant Center, או אם אתם צריכים לאמת את הסטטוס הנוכחי של ההסכם שלהם, אתם יכולים לאחזר את הסטטוס של ההסכם שלהם בנושא התנאים וההגבלות.
משתמשים בשיטה
termsOfServiceAgreementStates.retrieveForApplication
כדי לקבל את מצב ההסכמה לתנאים ולהגבלות של אפליקציית הליבה של Merchant Center. השיטה הזו מחזירה את התנאים וההגבלות הנוכחיים שלכם, אם יש כאלה, ואם התנאים וההגבלות עודכנו מאז האישור האחרון שלכם, היא מחזירה את הגרסה העדכנית שאתם צריכים לאשר.
הנה דוגמה לבקשה:
GET https://merchantapi.googleapis.com/accounts/v1/accounts/{ACCOUNT_ID}/termsOfServiceAgreementStates:retrieveForApplication
קריאה מוצלחת מחזירה משאב TermsOfServiceAgreementState. מקור המידע הזה כולל:
-
name: המזהה של מצב ההסכם הזה. -
regionCode: המדינה שבה חל מצב ההסכמה הזה, בדרך כלל המדינה העסקית של החשבון. termsOfServiceKind: הערך יהיהMERCHANT_CENTER.-
accepted: פרטים על גרסת התנאים וההגבלות שהחשבון כבר אישר, כוללtermsOfServiceשם המשאב (לדוגמה,termsOfService/132) ומיacceptedBy. יכול להיות שיופיע גםvalidUntilתאריך אםrequired. -
required: פרטים על גרסה של תנאים והגבלות שהחשבון צריך לאשר. זה כולל את שם המשאבtermsOfServiceואת הקישורtosFileUriלמסמך התנאים וההגבלות שקריא לבני אדם.
דוגמה לתשובה:
{
"name": "accounts/{ACCOUNT_ID}/termsOfServiceAgreementStates/MERCHANT_CENTER-{REGION_CODE}",
"regionCode": "{REGION_CODE}",
"termsOfServiceKind": "MERCHANT_CENTER",
"accepted": {
"termsOfService": "termsOfService/132",
"acceptedBy": "accounts/{ACCOUNT_ID}"
},
"required": {
"termsOfService": "termsOfService/132",
"tosFileUri": "https://www.google.com/intl/{REGION_CODE}/policies/merchants/terms/"
}
}
אם יש תנאים והגבלות חדשים required, צריך להנחות את המוכר לאשר אותם.
הנה דוגמה שאפשר להשתמש בה כדי לאחזר את מצב ההסכם של התנאים וההגבלות בחשבון מסוים ובמדינה מסוימת:
Java
import com.google.api.gax.core.FixedCredentialsProvider;
import com.google.auth.oauth2.GoogleCredentials;
import com.google.shopping.merchant.accounts.v1.GetTermsOfServiceAgreementStateRequest;
import com.google.shopping.merchant.accounts.v1.TermsOfServiceAgreementState;
import com.google.shopping.merchant.accounts.v1.TermsOfServiceAgreementStateName;
import com.google.shopping.merchant.accounts.v1.TermsOfServiceAgreementStateServiceClient;
import com.google.shopping.merchant.accounts.v1.TermsOfServiceAgreementStateServiceSettings;
import shopping.merchant.samples.utils.Authenticator;
import shopping.merchant.samples.utils.Config;
/**
* This class demonstrates how to get a TermsOfServiceAgreementState for a specific
* TermsOfServiceKind and country.
*/
public class GetTermsOfServiceAgreementStateSample {
public static void getTermsOfServiceAgreementState(Config config) throws Exception {
// Obtains OAuth token based on the user's configuration.
GoogleCredentials credential = new Authenticator().authenticate();
// Creates service settings using the credentials retrieved above.
TermsOfServiceAgreementStateServiceSettings termsOfServiceAgreementStateServiceSettings =
TermsOfServiceAgreementStateServiceSettings.newBuilder()
.setCredentialsProvider(FixedCredentialsProvider.create(credential))
.build();
// Creates TermsOfServiceAgreementState name to identify TermsOfServiceAgreementState.
String name =
TermsOfServiceAgreementStateName.newBuilder()
.setAccount(config.getAccountId().toString())
// The Identifier is: "{TermsOfServiceKind}-{country}"
.setIdentifier("MERCHANT_CENTER-US")
.build()
.toString();
System.out.println(name);
// Calls the API and catches and prints any network failures/errors.
try (TermsOfServiceAgreementStateServiceClient termsOfServiceAgreementStateServiceClient =
TermsOfServiceAgreementStateServiceClient.create(
termsOfServiceAgreementStateServiceSettings)) {
// The name has the format:
// accounts/{account}/termsOfServiceAgreementStates/{TermsOfServiceKind}-{country}
GetTermsOfServiceAgreementStateRequest request =
GetTermsOfServiceAgreementStateRequest.newBuilder().setName(name).build();
System.out.println("Sending Get TermsOfServiceAgreementState request:");
TermsOfServiceAgreementState response =
termsOfServiceAgreementStateServiceClient.getTermsOfServiceAgreementState(request);
System.out.println("Retrieved TermsOfServiceAgreementState below");
// If the terms of service needs to be accepted, the "required" field will include the
// specific version of the terms of service which needs to be accepted, alongside a link to
// the terms of service itself.
System.out.println(response);
} catch (Exception e) {
System.out.println(e);
}
}
public static void main(String[] args) throws Exception {
Config config = Config.load();
getTermsOfServiceAgreementState(config);
}
}
PHP
use Google\ApiCore\ApiException;
use Google\Shopping\Merchant\Accounts\V1\Client\TermsOfServiceAgreementStateServiceClient;
use Google\Shopping\Merchant\Accounts\V1\GetTermsOfServiceAgreementStateRequest;
/**
* Demonstrates how to get a TermsOfServiceAgreementState.
*/
class GetTermsOfServiceAgreementState
{
/**
* Gets a TermsOfServiceAgreementState.
*
* @param array $config The configuration data.
* @return void
*/
public static function getTermsOfServiceAgreementState($config): void
{
// Get OAuth credentials.
$credentials = Authentication::useServiceAccountOrTokenFile();
// Create client options.
$options = ['credentials' => $credentials];
// Create a TermsOfServiceAgreementStateServiceClient.
$termsOfServiceAgreementStateServiceClient = new TermsOfServiceAgreementStateServiceClient($options);
// Service agreeement identifier
$identifier = "MERCHANT_CENTER-US";
// Create TermsOfServiceAgreementState name.
$name = "accounts/" . $config['accountId'] . "/termsOfServiceAgreementStates/" . $identifier;
print $name . PHP_EOL;
try {
// Prepare the request.
$request = new GetTermsOfServiceAgreementStateRequest([
'name' => $name,
]);
print "Sending Get TermsOfServiceAgreementState request:" . PHP_EOL;
$response = $termsOfServiceAgreementStateServiceClient->getTermsOfServiceAgreementState($request);
print "Retrieved TermsOfServiceAgreementState below\n";
print $response->serializeToJsonString() . PHP_EOL;
} catch (ApiException $e) {
print $e->getMessage();
}
}
/**
* Helper to execute the sample.
*
* @return void
*/
public function callSample(): void
{
$config = Config::generateConfig();
self::getTermsOfServiceAgreementState($config);
}
}
// Run the script
$sample = new GetTermsOfServiceAgreementState();
$sample->callSample();
Python
from examples.authentication import configuration
from examples.authentication import generate_user_credentials
from google.shopping.merchant_accounts_v1 import GetTermsOfServiceAgreementStateRequest
from google.shopping.merchant_accounts_v1 import TermsOfServiceAgreementStateServiceClient
# Replace with your actual value.
_ACCOUNT_ID = configuration.Configuration().read_merchant_info()
_IDENTIFIER = "MERCHANT_CENTER-US" # Replace with your identifier
def get_terms_of_service_agreement_state():
"""Gets a TermsOfServiceAgreementState for a specific TermsOfServiceKind and country."""
credentials = generate_user_credentials.main()
client = TermsOfServiceAgreementStateServiceClient(credentials=credentials)
name = (
"accounts/"
+ _ACCOUNT_ID
+ "/termsOfServiceAgreementStates/"
+ _IDENTIFIER
)
print(name)
request = GetTermsOfServiceAgreementStateRequest(name=name)
try:
print("Sending Get TermsOfServiceAgreementState request:")
response = client.get_terms_of_service_agreement_state(request=request)
print("Retrieved TermsOfServiceAgreementState below")
print(response)
except RuntimeError as e:
print(e)
if __name__ == "__main__":
get_terms_of_service_agreement_state()
אישור התנאים וההגבלות
כדי להמשיך לגשת לתכונות של Merchant Center, המוכרים צריכים לאשר את התנאים וההגבלות העדכניים.
אישור התנאים וההגבלות בחשבון שלכם
אם אתם מנהלים את חשבון Merchant Center שלכם, אתם צריכים:
- כדאי להתקשר אל
termsOfServiceAgreementStates.retrieveForApplicationכדי לברר אם יש תנאי שימוש שrequired. - אם נדרשים תנאים והגבלות, מציינים את שם
termsOfServiceמהשדהrequired(לדוגמה,termsOfService/132). כדי לאשר את התנאים וההגבלות, צריך להתקשר אל
termsOfService.acceptתצטרכו את השם של התנאים וההגבלות, אתACCOUNT_IDואתregionCodeשמוחזר על ידי retrieveForApplication.הנה דוגמה לבקשה:
POST https://merchantapi.googleapis.com/accounts/v1/{name={termsOfService/VERSION}}:accept { "account": "accounts/{ACCOUNT_ID}", "regionCode": "{REGION_CODE}" }קריאה מוצלחת מחזירה גוף תגובה ריק ומעדכנת את מצב ההסכמה לתנאים ולהגבלות בחשבון.
הנחיית מוֹכרים לאשר את התנאים וההגבלות (לספקי צד שלישי)
אם אתם ספק צד שלישי (3P) שמנהל חשבונות Merchant Center עבור עסקים אחרים, אסור לכם לאשר את התנאים וההגבלות בשמם. במקום זאת, צריך:
אחזור התנאים וההגבלות העדכניים: קוראים לפונקציה
termsOfService.retrieveLatestבשביל סוגי המוכריםregionCodeו-MERCHANT_CENTERכדי לקבל את הפרטים של הגרסה העדכנית של התנאים וההגבלות שהם צריכים לאשר.בקשה לדוגמה:
GET https://merchantapi.googleapis.com/accounts/v1/termsOfService:retrieveLatest?regionCode={REGION_CODE}&kind=MERCHANT_CENTERדוגמה לתשובה:
{ "name": "{termsOfService/VERSION}", "regionCode": "{REGION_CODE}", "kind": "MERCHANT_CENTER", "fileUri": "https://www.google.com/intl/{REGION_CODE}/policies/merchants/terms/" }הצגת התנאים וההגבלות: משתמשים בערך
fileUriמהתגובה כדי להציג את הטקסט המלא של התנאים וההגבלות למוֹכר בממשק המשתמש של האפליקציה.קבלת אישור מהמוֹכר: המוֹכר צריך להסכים באופן מפורש לתנאים בממשק המשתמש שלכם.
תיעוד האישור באמצעות ה-API: אחרי שהמוכר מאשר, מפעילים את הפקודה
termsOfService.acceptבאמצעותnameשל התנאים וההגבלות שהתקבלו בשלב 1,ACCOUNT_IDשל המוכר וregionCodeשלו.בקשה לדוגמה:
POST https://merchantapi.googleapis.com/accounts/v1/{name={termsOfService/VERSION}}:accept { "account": "accounts/{MERCHANT_ACCOUNT_ID}", "regionCode": "{REGION_CODE}" }
הנה דוגמה שאפשר להשתמש בה כדי לאשר את ההסכם של התנאים וההגבלות עבור חשבון מסוים (אחרי שהמוֹכר הסכים):
Java
import com.google.api.gax.core.FixedCredentialsProvider;
import com.google.auth.oauth2.GoogleCredentials;
import com.google.shopping.merchant.accounts.v1.AcceptTermsOfServiceRequest;
import com.google.shopping.merchant.accounts.v1.TermsOfServiceServiceClient;
import com.google.shopping.merchant.accounts.v1.TermsOfServiceServiceSettings;
import shopping.merchant.samples.utils.Authenticator;
import shopping.merchant.samples.utils.Config;
/** This class demonstrates how to accept the TermsOfService agreement in a given account. */
public class AcceptTermsOfServiceSample {
public static void acceptTermsOfService(String accountId, String tosVersion, String regionCode)
throws Exception {
// Obtains OAuth token based on the user's configuration.
GoogleCredentials credential = new Authenticator().authenticate();
// Creates service settings using the credentials retrieved above.
TermsOfServiceServiceSettings tosServiceSettings =
TermsOfServiceServiceSettings.newBuilder()
.setCredentialsProvider(FixedCredentialsProvider.create(credential))
.build();
// Calls the API and catches and prints any network failures/errors.
try (TermsOfServiceServiceClient tosServiceClient =
TermsOfServiceServiceClient.create(tosServiceSettings)) {
// The parent has the format: accounts/{account}
AcceptTermsOfServiceRequest request =
AcceptTermsOfServiceRequest.newBuilder()
.setName(String.format("termsOfService/%s", tosVersion))
.setAccount(String.format("accounts/%s", accountId))
.setRegionCode(regionCode)
.build();
System.out.println("Sending request to accept terms of service...");
tosServiceClient.acceptTermsOfService(request);
System.out.println("Successfully accepted terms of service.");
} catch (Exception e) {
System.out.println(e);
}
}
public static void main(String[] args) throws Exception {
Config config = Config.load();
// See GetTermsOfServiceAgreementStateSample to understand how to check which version of the
// terms of service needs to be accepted, if any.
// Likewise, if you know that the terms of service needs to be accepted, you can also simply
// call RetrieveLatestTermsOfService to get the latest version of the terms of service.
// Region code is either a country when the ToS applies specifically to that country or 001 when
// it applies globally.
acceptTermsOfService(config.getAccountId().toString(), "VERSION_HERE", "REGION_CODE_HERE");
}
}
PHP
use Google\ApiCore\ApiException;
use Google\Shopping\Merchant\Accounts\V1\AcceptTermsOfServiceRequest;
use Google\Shopping\Merchant\Accounts\V1\Client\TermsOfServiceServiceClient;
/**
* Demonstrates how to accept the TermsOfService agreement in a given account.
*/
class AcceptTermsOfService
{
/**
* Accepts the Terms of Service agreement.
*
* @param string $accountId The account ID.
* @param string $tosVersion The Terms of Service version.
* @param string $regionCode The region code.
* @return void
*/
public static function acceptTermsOfService($accountId, $tosVersion, $regionCode): void
{
// Get OAuth credentials.
$credentials = Authentication::useServiceAccountOrTokenFile();
// Create client options.
$options = ['credentials' => $credentials];
// Create a TermsOfServiceServiceClient.
$tosServiceClient = new TermsOfServiceServiceClient($options);
try {
// Prepare the request.
$request = new AcceptTermsOfServiceRequest([
'name' => sprintf("termsOfService/%s", $tosVersion),
'account' => sprintf("accounts/%s", $accountId),
'region_code' => $regionCode,
]);
print "Sending request to accept terms of service...\n";
$tosServiceClient->acceptTermsOfService($request);
print "Successfully accepted terms of service.\n";
} catch (ApiException $e) {
print $e->getMessage();
}
}
/**
* Helper to execute the sample.
*
* @return void
*/
public function callSample(): void
{
$config = Config::generateConfig();
// Replace with actual values.
$tosVersion = "132";
$regionCode = "US";
self::acceptTermsOfService($config['accountId'], $tosVersion, $regionCode);
}
}
// Run the script
$sample = new AcceptTermsOfService();
$sample->callSample();
Python
from examples.authentication import configuration
from examples.authentication import generate_user_credentials
from google.shopping.merchant_accounts_v1 import AcceptTermsOfServiceRequest
from google.shopping.merchant_accounts_v1 import TermsOfServiceServiceClient
# Replace with your actual values.
_ACCOUNT_ID = configuration.Configuration().read_merchant_info()
_TOS_VERSION = ( # Replace with the Terms of Service version to accept
"VERSION_HERE"
)
_REGION_CODE = "US" # Replace with the region code
def accept_terms_of_service():
"""Accepts the Terms of Service agreement for a given account."""
credentials = generate_user_credentials.main()
client = TermsOfServiceServiceClient(credentials=credentials)
# Construct the request
request = AcceptTermsOfServiceRequest(
name=f"termsOfService/{_TOS_VERSION}",
account=f"accounts/{_ACCOUNT_ID}",
region_code=_REGION_CODE,
)
try:
print("Sending request to accept terms of service...")
client.accept_terms_of_service(request=request)
print("Successfully accepted terms of service.")
except RuntimeError as e:
print(e)
if __name__ == "__main__":
accept_terms_of_service()
שיקולים מיוחדים לספקי צד שלישי
אם אתם ספק צד שלישי, יכול להיות שאתם מנהלים את התנאים וההגבלות של חשבונות לקוח.
ניהול התנאים וההגבלות בחשבונות לקוח
אם אתם מפעילים חשבון מתקדם ויוצרים חשבונות לקוח לעסקים שונים:
- אישור של חשבון מתקדם: אם חשבון מתקדם מספק את שירות צבירת החשבונות לחשבונות לקוח, התנאים וההגבלות שאושרו על ידי החשבון המתקדם יחולו גם על כל חשבונות הלקוח שלו שמשתמשים בשירות הזה.
- הצגה והסכמה: גם אם ההסכמה בחשבון המתקדם חלה על חשבונות לקוח, מומלץ (ולפעמים נדרש על פי חוק) להציג את התנאים וההגבלות הרלוונטיים של Google Merchant Center לבעלים בפועל של כל עסק כזה. אתם צריכים לקבל מהם הסכמה מפורשת לכך שהם מבינים את התנאים האלה ומסכימים להם, גם אם הקריאה ל-API לצורך אישור התנאים מתבצעת ברמת החשבון המתקדם.
- בדיקת הסטטוס של חשבון לקוח: אפשר להשתמש ב-
termsOfServiceAgreementStates.retrieveForApplicationבחשבון לקוח ספציפי כדי לוודא מה הסטטוס שלו מבחינת התנאים וההגבלות, ולראות אם הוא מכוסה בהסכם של החשבון המתקדם או אם נדרשת פעולה ישירה כלשהי.
ניהול תנאים והגבלות בחשבונות אחרים
כפי שמפורט במאמר הנחיות למוֹכרים לאישור התנאים וההגבלות, כשאתם עוזרים לעסק ליצור חשבון משלו או לנהל אותו, העסק הזה (בעל החשבון) חייב לאשר באופן אישי את התנאים וההגבלות . כדי לעשות את זה, צריך לאחזר את התנאים וההגבלות ולהציג אותם, ואז להפעיל את השיטה termsOfService.accept בשם המשתמש אחרי שהוא נתן את הסכמתו המפורשת דרך הממשק שלכם.